Bug 179399 - [PATCH] news/nzbget: does not need GCC anymore
[PATCH] news/nzbget: does not need GCC anymore
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 12:40 UTC by William Grzybowski
Modified: 2013-06-08 21:00 UTC (History)
0 users

See Also:


Attachments
nzbget.patch (421 bytes, patch)
2013-06-07 12:40 UTC, William Grzybowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description William Grzybowski freebsd_committer 2013-06-07 12:40:00 UTC
	libpar has been update to 0.3 and works with clang

Fix: See patch
Comment 1 Edwin Groothuis freebsd_committer 2013-06-07 12:40:06 UTC
Maintainer of news/nzbget,

Please note that PR ports/179399 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179399

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-06-07 12:40:07 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 William Grzybowski freebsd_committer 2013-06-07 12:46:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 4 Toxic 2013-06-08 20:27:35 UTC
I approve this.


On 6/7/13 4:40 AM, Edwin Groothuis wrote:
> Maintainer of news/nzbget,
>
> Please note that PR ports/179399 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/179399
>
Comment 5 dfilter freebsd_committer 2013-06-08 20:53:39 UTC
Author: wg
Date: Sat Jun  8 19:53:32 2013
New Revision: 320276
URL: http://svnweb.freebsd.org/changeset/ports/320276

Log:
  - Remove USE_GCC for PAR option
  
  libpar2 has been update and compiles with clang, so as the configure test.
  
  PR:		ports/179399
  Submitted by:	wg (myself)
  Approved by:	culot / jpaetzel (mentors, implicit), maintainer

Modified:
  head/news/nzbget/Makefile

Modified: head/news/nzbget/Makefile
==============================================================================
--- head/news/nzbget/Makefile	Sat Jun  8 17:18:33 2013	(r320275)
+++ head/news/nzbget/Makefile	Sat Jun  8 19:53:32 2013	(r320276)
@@ -34,8 +34,6 @@ OPTIONS_DEFAULT=	PAR GNUTLS
 .if ${PORT_OPTIONS:MPAR}
  CONFIGURE_ARGS+= --enable-parcheck --disable-libpar2-bugfixes-check
  LIB_DEPENDS+=	par2:${PORTSDIR}/archivers/libpar2
- # configure fail to test libpar2 with clang
- USE_GCC=	any
 .else
  CONFIGURE_ARGS+= --disable-parcheck
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 William Grzybowski freebsd_committer 2013-06-08 20:53:53 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!